<?

session_start();

header( 'Content-type: text/html; charset=windows-1251' );

define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

if ( !isset( $_SESSION['iduser'] ) ) exit();

include_once ROOT_DIR . '/engine/config.php';
include_once ROOT_DIR . '/engine/function.php';

?>

<div class="modal fade bd-example-modal-lg" id="modalf" >
  <div class="modal-dialog " role="document" >
	<div class="modal-content" style="width: 687px; margin-left: -54px;">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
		  <span aria-hidden="true">&times;</span>
		</button>
		<h4 class="modal-title">Добавление сайта в каталог</h4>
	  </div>
	  <div class="modal-body"><!--Содержимое модального окна начало-->
		<div class="form-group">
		  <label for="message-text" class="form-control-label">Заголовок:</label>
		  <div class="col-sm-10 input-group">
			<input type="text" class="form-control" id="title" style="height: 19px; width: 631px; border-radius: 0.25rem;">
		  </div>
		</div>
		<div class="form-group">
		  <label for="message-text" class="form-control-label">Раздел в каталоге:</label>
		  <select class="form-control form-control-sm" style="width: 638px;" id="type_catalog">
			<?
			  $catalog = mysql_query( "SELECT * FROM catalog" );
			  while ( $catalog_row = mysql_fetch_array( $catalog ) ) {
				echo '<optgroup label="' . $catalog_row['title'] . '">...</optgroup>';
				$catalog_id = mysql_query( "SELECT id, title FROM catalog_id WHERE cat_id = '" . $catalog_row['id'] . "'" );
				while ( $catalog_id_row = mysql_fetch_array( $catalog_id ) ) {
				  echo '<option value="' . $catalog_id_row['id'] . '">' . $catalog_id_row['title'] . '</option>';
				}
			  }
			?>
		  </select>
		</div>
		<div class="form-group">
		  <label for="message-text" class="form-control-label">URL:</label>
		  <div class="col-sm-10 input-group">
			<input type="text" class="form-control" id="url" style="height: 19px; width: 631px; border-radius: 0.25rem;">
		  </div>
		</div>
		<div class="alert alert-info" role="alert" >
		  <i class="fa fa-info" aria-hidden="true"></i> Внимание! Каталог создан для владельцев сайта, для создания вечной ссылки с описанием (статья) любые реф-ссылки будут обрезаны до уровня домена. 
		</div>
		<div class="form-group">
		  <label for="message-text" class="form-control-label" style="">Описание сайта:</label>
		  <div class="bbcode-panel-forum-topic-add ">
			<span onclick="qbb('[b]','[/b]','message-text')" id="bb_b" title="Полужирный" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
			<span onclick="qbb('[i]','[/i]','message-text')" id="bb_i" title="Наклонный" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
			<span onclick="qbb('[u]','[/u]','message-text')" id="bb_u" title="Подчеркнутый" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
			<span onclick="qbb('[s]','[/s]','message-text')" id="bb_s" title="Зачеркнутый" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
			<span onclick="qbb('[sub]','[/sub]','message-text')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
			<span onclick="qbb('[sup]','[/sup]','message-text')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
			<div id="allmsgforum" class="allmsgforum">5000</div>
		  </div>
		  <textarea class="form-control" style="width: 631px; height: 190px; margin-top: 8px; padding-top: 41px;" id="message-text" onkeyup="descchange(this);"></textarea>
		</div>
		<div class="form-group">
		  <label for="message-text" class="form-control-label" style="">Стоимость размещения:</label>
		  <?=$config['catalogPrice']?> <?=$config['valutaname']?>
		</div>
		<div class="error_modal_ultimate" style="width: 638px;"> </div>
		<p style="display: none;" id="success_text"><span class="glyphicon glyphicon-info-sign"></span> Тема создана!</p>
	  </div><!--Содержимое модального окна конец-->
	  <div class="modal-footer">
		<button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
		<button type="button" class="btn btn-primary" id="send_walls_gift" onclick="send_msg();">Добавить</button>
	  </div>
	</div>
  </div>
</div>
<script type="text/javascript">
  $(document).ready(function(){
	$('.bb-b-forum').tipTip({defaultPosition:'right'});
	$('.bb-i-forum').tipTip({defaultPosition:'right'});
	$('.bb-u-forum').tipTip({defaultPosition:'right'});
	$('.bb-s-forum').tipTip({defaultPosition:'right'});
	$('.bb-sub-forum').tipTip({defaultPosition:'right'});
	$('.bb-sup-forum').tipTip({defaultPosition:'right'});
	
	var options = {
	  show : true
	}
	$('#modalf').modal(options);
  });

  function send_msg() {
	$.post('ajax.php?func=addcatalog',{
	  id: $('#type_catalog').val(),
	  url: $('#url').val(),
	  title: $('#title').val(),
	  text: $('#message-text').val()
		
	}, function(data){
	  if (data == 1){
		$(".form-group").fadeOut(0);
		$("#send_walls_gift").fadeOut(0);
		$("#success_text").fadeIn(300);
		setTimeout(function() {
			location.href = ('/catalog');
		}, 4000);
	  } else
	  if (data == 2){
		$('.error_modal_ultimate').fadeIn().html('Заголовок не может быть пустым!');
		setTimeout(function() {
			$('.error_modal_ultimate').fadeOut().html('&nbsp;');
		}, 4000);
	  }else
	  if (data == 3){
		$('.error_modal_ultimate').fadeIn().html('Не известная системе категория раздела! Обновите страницу и повторите, или сообщите в техподдержку');
		setTimeout(function() {
			$('.error_modal_ultimate').fadeOut().html('&nbsp;');
		}, 4000);
	  }else
	  if (data == 4){
		$('.error_modal_ultimate').fadeIn().html('url не может быть пустым!');
		setTimeout(function() {
			$('.error_modal_ultimate').fadeOut().html('&nbsp;');
		}, 4000);
	  } else
	  if (data == 5){
		$('.error_modal_ultimate').fadeIn().html('Описание сайта не может быть пустым!');
		setTimeout(function() {
			$('.error_modal_ultimate').fadeOut().html('&nbsp;');
		}, 4000);
	  } else {
		$('.error_modal_ultimate').fadeIn().html(data);
		setTimeout(function() {
			$('.error_modal_ultimate').fadeOut().html('&nbsp;');
		}, 4000);
	  }
	});
	return false;
  }

  function descchange(elem) {
	if (elem.value.length > 5000) {
	  elem.value = elem.value.substr(0,5000);
	}
	$('#allmsgforum').html(5000-elem.value.length);
  }
  tm = setInterval(function() {
	if (location.pathname.indexOf('topic') !== -1) {
	  if ($('#message-text').val() != '') {
		descchange(document.getElementById('allmsgforum'));
	  }
	} else {
	  clearInterval(tm);
	}
  }, 100);
</script>  

	
